/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.omegat.util.task.valueobject;

/**
 * 処理クラス [BlancoOmegatTranslateXliffProcess]の入力バリューオブジェクトクラスです。
 */
public class BlancoOmegatTranslateXliffProcessInput {
    /**
     * フィールド [verbose]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * verboseモードで動作させるかどうか。
     */
    private boolean fVerbose = false;

    /**
     * フィールド [tmxdir]
     *
     * 項目の型 [java.lang.String]<br>
     * TMX ファイルが格納されているディレクトリ。
     */
    private String fTmxdir;

    /**
     * フィールド [xliffdir]
     *
     * 項目の型 [java.lang.String]<br>
     * 入力・出力先となる OASIS XLIFF ファイルが格納されるディレクトリ。xlifffileと排他利用。
     */
    private String fXliffdir;

    /**
     * フィールド [xlifffile]
     *
     * 項目の型 [java.lang.String]<br>
     * 入力・出力先となる OASIS XLIFF ファイル。xliffdir と排他利用。
     */
    private String fXlifffile;

    /**
     * フィールド [skipiftargetexist]
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * targetが既にある場合に処理をスキップするかどうか。
     */
    private boolean fSkipiftargetexist = false;

    /**
     * フィールド [verbose]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * verboseモードで動作させるかどうか。
     *
     * @param argVerbose フィールド[verbose]に格納したい値
     */
    public void setVerbose(final boolean argVerbose) {
        fVerbose = argVerbose;
    }

    /**
     * フィールド[verbose]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * verboseモードで動作させるかどうか。
     *
     * @return フィールド[verbose]に格納されている値
     */
    public boolean getVerbose() {
        return fVerbose;
    }

    /**
     * フィールド [tmxdir]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * TMX ファイルが格納されているディレクトリ。
     *
     * @param argTmxdir フィールド[tmxdir]に格納したい値
     */
    public void setTmxdir(final String argTmxdir) {
        fTmxdir = argTmxdir;
    }

    /**
     * フィールド[tmxdir]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * TMX ファイルが格納されているディレクトリ。
     *
     * @return フィールド[tmxdir]に格納されている値
     */
    public String getTmxdir() {
        return fTmxdir;
    }

    /**
     * フィールド [xliffdir]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 入力・出力先となる OASIS XLIFF ファイルが格納されるディレクトリ。xlifffileと排他利用。
     *
     * @param argXliffdir フィールド[xliffdir]に格納したい値
     */
    public void setXliffdir(final String argXliffdir) {
        fXliffdir = argXliffdir;
    }

    /**
     * フィールド[xliffdir]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 入力・出力先となる OASIS XLIFF ファイルが格納されるディレクトリ。xlifffileと排他利用。
     *
     * @return フィールド[xliffdir]に格納されている値
     */
    public String getXliffdir() {
        return fXliffdir;
    }

    /**
     * フィールド [xlifffile]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 入力・出力先となる OASIS XLIFF ファイル。xliffdir と排他利用。
     *
     * @param argXlifffile フィールド[xlifffile]に格納したい値
     */
    public void setXlifffile(final String argXlifffile) {
        fXlifffile = argXlifffile;
    }

    /**
     * フィールド[xlifffile]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 入力・出力先となる OASIS XLIFF ファイル。xliffdir と排他利用。
     *
     * @return フィールド[xlifffile]に格納されている値
     */
    public String getXlifffile() {
        return fXlifffile;
    }

    /**
     * フィールド [skipiftargetexist]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     * targetが既にある場合に処理をスキップするかどうか。
     *
     * @param argSkipiftargetexist フィールド[skipiftargetexist]に格納したい値
     */
    public void setSkipiftargetexist(final boolean argSkipiftargetexist) {
        fSkipiftargetexist = argSkipiftargetexist;
    }

    /**
     * フィールド[skipiftargetexist]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     * 規定値   [false]<br>
     * targetが既にある場合に処理をスキップするかどうか。
     *
     * @return フィールド[skipiftargetexist]に格納されている値
     */
    public boolean getSkipiftargetexist() {
        return fSkipiftargetexist;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.omegat.util.task.valueobject.BlancoOmegatTranslateXliffProcessInput[");
        buf.append("verbose=" + fVerbose);
        buf.append(",tmxdir=" + fTmxdir);
        buf.append(",xliffdir=" + fXliffdir);
        buf.append(",xlifffile=" + fXlifffile);
        buf.append(",skipiftargetexist=" + fSkipiftargetexist);
        buf.append("]");
        return buf.toString();
    }
}
